package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工商户籍表对象 gtgs_yw_user
 *
 * @author ruoyi
 * @date 2019-12-18
 */
public class GtgsYwUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 审核人账号 */
    @Excel(name = "审核人账号")
    private String username;

    /** 审核人密码 */
    @Excel(name = "审核人密码")
    private String password;

    /** 审核人id */
    @Excel(name = "审核人id")
    private String userid;

    /** 审核人部门id */
    @Excel(name = "审核人部门id")
    private String detpid;

    /** authid */
    @Excel(name = "authid")
    private String authid;

    /** 审核人名字 */
    @Excel(name = "审核人名字")
    private String name;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUsername(String username)
    {
        this.username = username;
    }

    public String getUsername()
    {
        return username;
    }
    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getPassword()
    {
        return password;
    }
    public void setUserid(String userid)
    {
        this.userid = userid;
    }

    public String getUserid()
    {
        return userid;
    }
    public void setDetpid(String detpid)
    {
        this.detpid = detpid;
    }

    public String getDetpid()
    {
        return detpid;
    }
    public void setAuthid(String authid)
    {
        this.authid = authid;
    }

    public String getAuthid()
    {
        return authid;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("username", getUsername())
                .append("password", getPassword())
                .append("userid", getUserid())
                .append("detpid", getDetpid())
                .append("authid", getAuthid())
                .append("name", getName())
                .toString();
    }
}
